Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Gcompris (Lu 570 fois) sujet précédent - sujet suivant

Gcompris

Bonjour à toutes et tous
J'ai voulu installer  Gcompris sur ma TbWdavec CG Nvidia Gforce GT730
Pas de problème pour l'installation , mais impossible de le démarrer . Au démarrage la page d'accueil Gcompris s'ouvre quelques secondes ( 1 ,2 ) et disparaît ,
J'ai désinstallé et réinstallé , plusieurs fois ,mais rien ne change . Lors des désinstallations successives , à chaque fois  ,il y a un conflit avec le paquet langues , la première fois  Fr , donc aux installations suivantes j'ai changé de langue , mais à la désinstallation , toujours le même problème de conflit
Question , dois-je installer un paquet langue spécifique  à TbWd ?
Bonne journée

Re : Gcompris

Répondre #1
Bonjour,

Je ne connais pas ce logiciel, mais en le lançant à partir d'un terminal : le pc retourne assez souvent l'origine de l'erreur.

Re : Gcompris

Répondre #2
Merci Jomo
Je vais le réinstaller et le lancer à partir du terminal
Je donnerai le résultat dans la soirée

Re : Gcompris

Répondre #3
Bonjour,
Il semble y avoir deux paquets pour ce logiciel.
un paquet gcompris-qt version 0.96 et un paquet gcompris version 17.05
Les paquets de langue vont avec la version 17.05

Lance le logiciel dans un terminal comme l'indique Jomo pour récupérer une erreur

Re : Gcompris

Répondre #4
Bonjour Chalu
J'ai installé la 17.05 , c'est elle qui est en première ligne  , est effectivement à la désinstallation il demande la version 17.05
jenrem@linux-bhnz:~> gcompris
** Message: 16:52:58.497: Binary relocation disabled
exec_prefix              = NONE
package_data_dir        = /usr/share/gcompris/boards
package_skin_dir        = /usr/share/gcompris/boards/skins
package_menu_dir        = /usr/share/gcompris/boards
package_locale_dir      = /usr/share/locale
package_plugin_dir      = /usr/lib64/gcompris
package_python_plugin_dir= /usr/share/gcompris/python
user_dir                = /home/jenrem/My GCompris
Infos:
  Config dir '/home/jenrem/.config/gcompris'
  Users dir '/home/jenrem/My GCompris'
  Database '/home/jenrem/.config/gcompris/gcompris_sqlite.db'

(gcompris:818): Gtk-CRITICAL **: 16:52:58.822: IA__gtk_window_set_type_hint: assertion '!gtk_widget_get_mapped (GTK_WIDGET (window))' failed
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
parser error : Detected an entity reference loop
Abandon (core dumped)
jenrem@linux-bhnz:~>


 @ Jomo , c'est un logiciel de jeux éducatifs très bien fait

Re : Gcompris

Répondre #5
effectivement à la désinstallation il demande la version 17.05
Je n'ai pas compris ce que tu voulais dire par là ?
J'ai testé sur leap 15.1 la version 17.05 est assez moche, elle installe en plus tuxpaint
j'ai tout supprimé et installé la version 0.96 avec le paquet gcompris-qt qui est disponible sur Leap et c'est beaucoup mieux.
Sur Tumbleweed, tu auras la dernière version disponible la 0.97 : https://gcompris.net/index-fr.html
A ta place je supprimerais tout pour essayer le paquet gcompris-qt

Edit : après recherche, la version 17.05 correspond à la vieille version du logiciel qui n'utilisait pas qt ou une vieille version de qt
on reconnait l'interface pas jolie :P

Re : Gcompris

Répondre #6
D'après le résultat du terminal, il y a un souci avec l'interface graphique. Soit il manque un librairie Gtk pour ce logiciel, soit il faut essayer avec le paquet gcompris-qt

Re : Gcompris

Répondre #7
J'ai eu un échange sur IRC avec la personne qui fait le paquet.
c'est ce que je disais plus haut, la dernière version est gcompris-qt
les autres paquets avec la version 17.05 correspondent à une ancienne version et ce sont des paquets appelés à disparaître des dépôts

Edit : il espère bien que la version 0.97 qui est la dernière version sera disponible sur Leap 15.2 :)
 

Re : Gcompris

Répondre #8
Bonsoir Chalu
J'ai réinstallé la 0.97 et elle tourne très bien  ILs ont changé pas mal de chose par rapport aux anciennes versions et ajouté d'autres jeux
Ma " réflexion "
Citer
effectivement à la désinstallation il demande la version 17.05
je ne la sentais pas trop en l'écrivant  ,et pour expliquer un peu mieux ce que je voulais dire  , je joints  une capture d'écran
http://pix.toile-libre.org/upload/original/1592341786.png
 c'est plus explicite que ma phrase
  Par contre j'ai un peu de mal à comprendre que la 0.97 soit la dernière version et que la 17.05  soit l'ancienne
Merci encore
Je passe en résolu
Bonne soirée

Re : Gcompris

Répondre #9
Je pense que lorsqu’ils ont réécrit le code en utilisant qt, ils ont modifié la numérotation des versions.
Après tout Leap 15.1 est plus récente que Leap 42.3 ;)
sinon pour ton message, c'était normal.
tu sélectionnes pour suppression  le paquet gcompris 17.05 alors les paquets gpcompris-voice qui dépendent de lui ne seront plus installés correctement. Tu dois donc choisir 1 pour les supprimer aussi.

Re : Gcompris

Répondre #10
C'est ce que j'ai fait
Quand aux versions , c'est que pour leap  ça a beaucoup  bougé , de 13.xx à 45.xx pour revenir à 15.0
En allant sur le site de Gcompris , j'ai vu que maintenant il était développé par KDE , ou soutenu
Bonne soirée

Re : Gcompris

Répondre #11
C’est le passage à l’utilisation de qt au lieu de Gtk qui justifie une numérotation nouvelle.
En terme de code, ça fait de gros changements.
Tu as le cas aussi pour Lxde qui est devenu Lxqt, c’est un boulot que l’utilisateur final ne voit pas forcément mais qui est bien là.

Re : Gcompris

Répondre #12
Bonjour Chalu
 J'avais taper un message et il est passé à la trappe , je recommence ,mais en plus court
J'avais remarqué ,en suivant certaine discussions  animées " viriles " qu'il y avait deux systèmes d'affichage  GTK et qt
Mais je ne suis pas capable de voir la différence entre les deux
Je croyais que le GTK était le dernier venu et le plus performant , mais j'ai l'impression que c'est l'inverse
Bonne journée

Re : Gcompris

Répondre #13
;=)
Apparemment ils ont réécrit en Qt pour plus de polyvalence : tablettes et pc de bureau.
https://gcompris.net/wiki/Developer%27s_corner
"Our users expect us to deliver a version that runs on Desktop and on Tablets. Sadly with the Gtk+ version these was no easy way to achieve this."

Re : Gcompris

Répondre #14
je suis allé hier ( pour voir si  il y avait un forum ou un point de contact ,avant de poser la question sur notre forum ,mais je n'ai pas trouvé de lien )  sur le site en français , à ma grande surprise , j'ai vu que c'était maintenant  développé par KDE ( j'ai toujours pensé qu'au départ c'était développé par une équipe de Bordelaix )  et qu'ils mettaient l'appli gratuitement à dispo sur toutes les plateformes  et systèmes  . Je me souviens ,il y a quelques années , il y avait deux versions  qui n'étaient pas tout à fait identiques , les jeux n'étaient tous les mêmes
Donc le qt est plus polyvalent que le GTK